{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/AlexVanderwerff/3RM-API/1.0.0"},{"description":"Production","url":"https://t2tpxrbex2.execute-api.us-east-1.amazonaws.com/prod/"}],"info":{"description":"3RM API","version":"1.0.0","title":"3RM API","contact":{"email":"alex@3rm.co"}},"paths":{"/getConversations":{"get":{"tags":["Conversations"],"summary":"Gets all Conversations","operationId":"getConversations","description":"Returns all Conversations for an organisation. An entity_view_id can be passed to only return the Conversations for a Smartlist\n","parameters":[{"in":"query","name":"entity_view_id","description":"pass an optional entity_view_id to only return conversations in that Smartlist","required":false,"schema":{"type":"string"}},{"in":"header","name":"X-API-KEY","description":"Authentication Api-Key which determines the organisation.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Conversation"}}}}},"400":{"description":"bad input parameter"}}}},"/getContacts":{"get":{"tags":["Contacts"],"summary":"Gets all Contacts","operationId":"getContacts","description":"Returns all Contacts for an organisation.\n","parameters":[{"in":"header","name":"X-API-KEY","description":"Authentication Api-Key which determines the organisation.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}}}}},"400":{"description":"bad input parameter"}}}},"/getEntityViews":{"get":{"tags":["EntityViews"],"summary":"Gets all Smartlists","operationId":"getEntityViews","description":"Returns all Smartlists for an organisation.\n","parameters":[{"in":"header","name":"X-API-KEY","description":"Authentication Api-Key which determines the organisation.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityView"}}}}},"400":{"description":"bad input parameter"}}}}},"components":{"schemas":{"Conversation":{"type":"object","required":["id","title"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"title":{"type":"string","example":"Sample Conversation title"}}},"Contact":{"type":"object","required":["id","firstName","lastName"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"firstName":{"type":"string","example":"Jon"},"lastName":{"type":"string","example":"Doe"}}},"EntityView":{"type":"object","required":["id","title"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"title":{"type":"string","example":"Favorites"}}}}}}